# class Chef::Exceptions::CookbookVersionSelection::InvalidRunListItems

Compound exception: In run_list expansion and resolution, run_list items referred to cookbooks that don’t exist and/or have no versions available.

### Attributes

cookbooks_with_no_matching_versions[R]
non_existent_cookbooks[R]

### Public Class Methods

new(message, non_existent_cookbooks, cookbooks_with_no_matching_versions) click to toggle source
Calls superclass method

    # File lib/chef/exceptions.rb, line 251
    def initialize(message, non_existent_cookbooks, cookbooks_with_no_matching_versions)
      super(message)

      @non_existent_cookbooks = non_existent_cookbooks
      @cookbooks_with_no_matching_versions = cookbooks_with_no_matching_versions
    end

### Public Instance Methods

to_json(*a) click to toggle source

    # File lib/chef/exceptions.rb, line 258
    def to_json(*a)
      result = {
        "message" => message,
        "non_existent_cookbooks" => non_existent_cookbooks,
        "cookbooks_with_no_versions" => cookbooks_with_no_matching_versions
      }
      result.to_json(*a)
    end